低危 binutils中peXXigen.c中的_bfd_XX_bfd_copy_private_bfd_data_common函数存在内存越界写入

CVE编号

CVE-2018-10534

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-04-30 04:29:00
漏洞描述
二进制文件描述符(BFD)库(又称为 libbfd)中peXXigen.c中peXXigen.c中的_bfd_XX_bfd_copy_private_bfd_data_common函数(如GNU Binutils 2.30中所分发)处理负数据目录大小,并且具有无限循环,该循环会增大(external_IMAGE_DEBUG_DIREC该地址超出了其自身的内存区域,从而导致内存写越界,如objcopy在pex64igen.c中使用_bfd_pex64_bfd_copy_private_bfd_data_common复制私有信息所示。
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.gnu.org
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils 2.30 -
2
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
3
运行在以下环境
系统 suse_12_SP3 binutils * Up to
(excluding)
2.31-9.26.1
4
运行在以下环境
系统 oracle_7 binutils * Up to
(excluding)
2.27-34.base.0.1.el7
5
运行在以下环境
系统 opensuse_Leap_42.3 binutils * Up to
(excluding)
2.31-19.1
6
运行在以下环境
系统 opensuse_Leap_15.0 binutils * Up to
(excluding)
2.31-lp150.5.3.1
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况